Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.gemini.blueprint.service.importer.event
Class OsgiServiceDependencyWaitEndedEvent

    java.lang.Object
      java.util.EventObject
          org.springframework.context.ApplicationEvent
              org.eclipse.gemini.blueprint.service.importer.event.OsgiServiceDependencyEvent
                  org.eclipse.gemini.blueprint.service.importer.event.OsgiServiceDependencyWaitEndedEvent

All Implemented Interfaces:
  Serializable

    public class OsgiServiceDependencyWaitEndedEvent

extends OsgiServiceDependencyEvent

Importer event indicating that the wait for a given dependency has ended (successfully), namely the dependency was found before the time allocated for it elapsed.

Author:
  Costin Leau
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`OsgiServiceDependencyWaitEndedEvent(Object source, OsgiServiceDependency dependency, long elapsedTime)` Constructs a new `OsgiServiceDependencyWaitEndedEvent` instance.

Method Summary
`long` | `getElapsedTime()` Returns the time spent (in milliseconds) waiting, until service was found (and the dependency considered satisfied).

Methods inherited from class org.eclipse.gemini.blueprint.service.importer.event.OsgiServiceDependencyEvent
`getServiceDependency`

Methods inherited from class org.springframework.context.ApplicationEvent
`getTimestamp`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OsgiServiceDependencyWaitEndedEvent

    public OsgiServiceDependencyWaitEndedEvent(Object source,
                                               OsgiServiceDependency dependency,
                                               long elapsedTime)

  Constructs a new `OsgiServiceDependencyWaitEndedEvent` instance.

  Parameters:
    `source` - event source (usually the service importer)
    `dependency` - dependency description
    `elapsedTime` - time to wait

Method Detail

### getElapsedTime

    public long getElapsedTime()

  Returns the time spent (in milliseconds) waiting, until service was found (and the dependency considered satisfied).

  Returns:
    Returns the time (in milliseconds) spent waiting for the OSGi service to appear

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 Spring Framework. All Rights Reserved.